## lilypond 2.22.1

=== debian/changelog ===
lilypond (2.22.1-2) unstable; urgency=medium

  * Really include and install README.Debian.security, which was mentioned
    but missing in 2.22.1-1, by actually listing it in debian/lilypond.docs.
    Special thanks to Moritz Mühlenhoff for providing the security notes!

 -- Anthony Fok <foka@debian.org>  Sun, 29 Aug 2021 06:09:14 -0600

lilypond (2.22.1-1) unstable; urgency=medium

  * New upstream version 2.22.1
  * Bump Standards-Version to 4.6.0 (no change)
  * Mark lilypond-{doc-pdf,fonts} "Multi-Arch: foreign"
  * Drop previously backported upstream patches
  * Mark Lilypond as insecure for externally fetched data files
    in the new README.Debian.security file kindly provided by
    fellow Debian Developer and security expert Moritz Mühlenhoff

 -- Anthony Fok <foka@debian.org>  Sat, 21 Aug 2021 06:22:22 -0600

lilypond (2.22.0-10) unstable; urgency=medium

  * debian/rules: Allow "dh_auto_test -a" to fail on hurd-i386 too

 -- Anthony Fok <foka@debian.org>  Tue, 09 Feb 2021 23:09:36 -0700

lilypond (2.22.0-9) unstable; urgency=medium

  * lilypond-doc: Remove stray symlink /usr/share/info/lilypond/user
    which would otherwise block the /usr/share/info/lilypond dir_to_symlink
    conversion since 2.22.0-6 and prevent lilypond-doc from upgrading.
    Thanks to Nicolas Patrois and Gabriele Stilli for reporting the bug.
    (Closes: #981814)

 -- Anthony Fok <foka@debian.org>  Tue, 09 Feb 2021 18:18:33 -0700

lilypond (2.22.0-8) unstable; urgency=medium

  * debian/rules: Move debian/guile.reloc prerequisite
    from override_dh_auto_install-indep override_dh_auto_install-arch.
    Fixes bug introduced in a19f5480 when I relocated
    /usr/share/lilypond/2.20.0/etc/relocate/guile.reloc to
    /usr/lib/$DEB_HOST_MULTIARCH/lilypond/2.22.0/etc/relocate/guile.reloc
    but failed to update debian/rules accordingly.

 -- Anthony Fok <foka@debian.org>  Tue, 02 Feb 2021 14:49:35 -0700

lilypond (2.22.0-7) unstable; urgency=medium

  * Add debian/lilypond-doc.lintian-overrides
    to override info-document-not-compressed error and
    info-document-missing-image-file warnings
  * Fix handling of file names with non-ASCII characters for Guile 2.x.
    See https://gitlab.com/lilypond/lilypond/-/merge_requests/612
    and these cherry-picked patches:
    - 0004-Revert-Issue-4125-Disable-character-set-recognition.patch
    - 0005-Write-input-file-for-Ghostscript-as-UTF-8.patch
    Thanks to Jonas Hahnfeld for the fix.
  * Bundle our own guile-1.8 again, dropping dependency on guile-2.2-dev.
    Core developer Jonas Hahnfeld wrote:
        There are other problems, including the much worse startup time and
        performance.  But you're sold on staying with Guile 2.2 for Debian 11?
        I fear this gives users a wrong impression because it's shipping
        something "half-baked"...
    See https://gitlab.com/lilypond/lilypond/-/issues/6089
    This reverts commit c1a0c9179857599fc495d93f6d7579b64bd127b6,
    with the following changes for LilyPond 2.22 series:
    - Add "component = guile18" to debian/gbp.conf
    - Replace ${env:LILYPOND_VERSION} with * where possible for simplicity
    - Move /usr/bin/lilypond{,-invoke-editor}.real to
      /usr/lib/$DEB_HOST_MULTIARCH/lilypond/2.22.0/bin/lilypond{,-invoke-editor}
      (Closes: #852871)
    - Drop 0101-read_relocation_dir-in-lilypond_datadir-too.patch, and
      relocate /usr/share/lilypond/2.20.0/etc/relocate/guile.reloc
      to /usr/lib/$DEB_HOST_MULTIARCH/lilypond/2.22.0/etc/relocate/guile.reloc
    - Drop 0006-disable-git-diff-check-in-test-baseline.patch
    - debian/rules:
      + Set and export GUILE_CFLAGS, GUILE_LIBS and PKG_CONFIG_PATH too
        so that our copy of libguile.h may be found during LilyPond build
      + Build Guile 1.8 with $(MAKE) -j$(CPU_COUNT) for reduced build time
  * Commit Guile 1.8 source code, extracted to guile18/, to our git repository.
    The guile18/ directory was extracted with the command:
    tar -C guile18 --strip-components=1 -xf ../lilypond_2.22.0.orig-guile18.tar.gz

 -- Anthony Fok <foka@debian.org>  Tue, 02 Feb 2021 13:21:42 -0700
