## lilypond 2.22.2

=== debian/changelog ===
lilypond (2.22.2-1) unstable; urgency=medium

  * New upstream version 2.22.2
  * Reorder fields in debian/control and debian/copyright
    as would be generated in the next dh-make-golang release after 0.6.0-1
  * Update LilyPond Homepage URL to HTTPS scheme: https://lilypond.org/

 -- Anthony Fok <foka@debian.org>  Fri, 01 Apr 2022 06:01:31 -0600
