=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: lilypond
+Section: tex
+Priority: optional
 Maintainer: Anthony Fok <foka@debian.org>
 Uploaders: Don Armstrong <don@debian.org>,
            Dr. Tobias Quathamer <toddy@debian.org>
-Section: tex
-Priority: optional
+Rules-Requires-Root: no
 Build-Depends: autoconf,
                automake,
                bison,
@@ -55,8 +56,7 @@
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/lilypond
 Vcs-Git: https://salsa.debian.org/debian/lilypond.git
-Homepage: http://lilypond.org/
-Rules-Requires-Root: no
+Homepage: https://lilypond.org/
 
 Package: lilypond
 Architecture: any
