## lilypond 2.24.0

=== debian/changelog ===
lilypond (2.24.0-2) unstable; urgency=medium

  * debian/rules: Remove "$(MAKE) install-info" to avoid symlink issue.
    Since v2.23.3 (thus v2.24.0), the install-info target behaviour changed
    to copy images instead of using symlink, while install-doc target now
    depends on the install-info-noimages which keeps the old behaviour
    that our Debian packaging desires.  Running "$(MAKE) install-doc" alone
    is sufficient.  This fixes lilypond-doc upgrade error "unable to open
    '/usr/share/info/lilypond/00/lily-12276734.png.dpkg-new': No such file
    or directory".  See https://gitlab.com/lilypond/lilypond/-/issues/6110
    and commit 6e8293f5eef359de1097ef7e3a183fd3ac630fa7 for details.

 -- Anthony Fok <foka@debian.org>  Sat, 28 Jan 2023 17:10:08 -0700

lilypond (2.24.0-1) unstable; urgency=medium

  * New upstream version 2.24.0 (Closes: #1026200)
  * Drop our bundled guile-1.8 and depend on guile-2.2 instead.
    Many thanks to LilyPond development team for asking to keep guile-2.2
    in Debian bookworm, and to Rob Browning and to Debian FTP Masters for
    allowing this to happen!
  * Remove build-dependency on mftrace, which has not been needed since 2008
    (v2.11.38); see upstream commit 20c5afc2bdac32efa2c83d957071d23367ef1405
  * Add build-dependency on texlive-font-utils
  * Remove "Build-Conflicts: fonts-noto-cjk" which was added back in 2017
    (see commit 82bb4a8615a33cc3346a6d7c4da59a492529afb6)
    but thankfully Ghostscript no longer aborts with fonts-noto-cjk now
  * Remove debian/patches/add_dircategories_to_documentation
    as the issue was fixed by John Wheeler in June 2022 for v2.23.10
  * debian/lilypond-data.install: Remove usr/share/lilypond/*/tex
    as upstream has moved ./tex to ./Documentation/tex as this is only used
    for generating LilyPond documentation
  * debian/not-installed: Fix a new dh_missing error by adding
    usr/share/doc/lilypond/html/Documentation/59/lily-22ec2080-violin-1.notes
  * debian/clean: Add out-fonts/ and Documentation/tex/out-www/
  * Update comments regarding the build-time generated install files
    debian/lilypond-doc-html.install and debian/lilypond-doc-pdf.install
  * debian/copyright: Update copyright year to 2023 for myself
  * Bump Standards-Version to 4.6.2 (no change)
  * Revert to using debian/sid as debian-branch for the latest release
  * debian/{control,gbp.conf}: Use a separate debian-branch for previous
    upstream versions (e.g. lilypond-2.22), but keep using debian/sid
    for the latest upstream release
  * Fix Lintian warning build-depends-on-obsolete-package
    by changing the following build-dependencies:
    - libfontconfig1-dev => libfontconfig-dev
    - libfreetype6-dev => libfreetype-dev
  * Update debian/copyright to fix superfluous-file-pattern Lintian warnings
  * Override source-is-missing [Documentation/misc/announce-v2.12.de.html]
    which is a false-positive Lintian warning

 -- Anthony Fok <foka@debian.org>  Sat, 28 Jan 2023 07:23:58 -0700
