=== debian/control ===
--- 
+++ 
@@ -5,12 +5,9 @@
 Uploaders: Don Armstrong <don@debian.org>,
            Dr. Tobias Quathamer <toddy@debian.org>
 Rules-Requires-Root: no
-Build-Depends: autoconf,
-               automake,
-               bison,
+Build-Depends: bison,
                dblatex,
                debhelper-compat (= 13),
-               dh-exec,
                dh-python,
                extractpdfmark,
                flex,
@@ -25,26 +22,22 @@
                ghostscript,
                groff,
                gsfonts,
+               guile-2.2-dev,
                help2man,
                imagemagick [kfreebsd-any],
                imagemagick-6.q16 [!kfreebsd-any],
                libfl-dev,
-               libfontconfig1-dev,
-               libfreetype6-dev,
-               libgmp-dev,
-               libltdl-dev,
-               libncurses5-dev,
+               libfontconfig-dev,
+               libfreetype-dev,
                libpango1.0-dev,
-               libreadline6-dev,
-               libtool,
                m4,
-               mftrace,
                netpbm,
                pkg-config,
                python3,
                rsync,
                texi2html,
                texinfo,
+               texlive-font-utils,
                texlive-fonts-recommended,
                texlive-lang-cyrillic,
                texlive-latex-base,
@@ -52,8 +45,7 @@
                texlive-metapost,
                texlive-plain-generic,
                zip
-Build-Conflicts: fonts-noto-cjk
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/lilypond
 Vcs-Git: https://salsa.debian.org/debian/lilypond.git
 Homepage: https://lilypond.org/
@@ -61,6 +53,7 @@
 Package: lilypond
 Architecture: any
 Depends: ghostscript,
+         guile-2.2,
          lilypond-data (= ${source:Version}),
          ${misc:Depends},
          ${python3:Depends},
@@ -347,3 +340,10 @@
  This package contains the PDF documentation in German for the
  LilyPond music typesetting software.
 
+Package: lilypond-doc-pdf-es
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: install-info,
+         ${misc:Depends}
+Recommends: evince | pdf-viewer
