## lilypond 2.24.1

=== debian/changelog ===
lilypond (2.24.1-2) unstable; urgency=medium

  * debian/tests/control: Add build-essential to Depends
  * Fix Lintian unnecessary-testsuite-autopkgtest-field warning

 -- Anthony Fok <foka@debian.org>  Fri, 24 Feb 2023 06:26:56 -0700

lilypond (2.24.1-1) unstable; urgency=medium

  * New upstream version 2.24.1 (Closes: #1031250)
  * Add explicit build-dependency on libglib2.0-dev to match what is
    in configure.ac
  * Add autopkgtest test to run the LilyPond test suite

 -- Anthony Fok <foka@debian.org>  Wed, 22 Feb 2023 23:19:55 -0700

lilypond (2.24.0-3) unstable; urgency=medium

  * Remove doc packages unneeded dependency on install-info.
    Thanks to Hilmar Preuße for the explanation! (Closes: #1012424)
  * debian/rules: Run "$(MAKE) bytecode" and "$(MAKE) install-bytecode"
    The Scheme files (.scm) should be byte-compiled for reasonable performance.
    See the "Notes for source compilation and packagers" section
    in https://lilypond.org/doc/v2.24/Documentation/changes/index.html
    Thanks to Jonas Hahnfeld for telling me about this major change in 2.24.0!
  * debian/lilypond.install: Add "usr/lib" to install the bytecode objects
    /usr/lib/${DEB_HOST_MULTIARCH}/lilypond/2.24.0/ccache/lily/*.go
  * Exclude the bytecode objects from dh_dwz and dh_strip to avoid errors
  * Add Lintian overrides for bytecode objects for tags
    binary-from-other-architecture, unstripped-binary-or-object
    and shared-library-lacks-prerequisites
  * Add "Depends: fonts-urw-base35" and "Recommends: fonts-texgyre"
    These fonts were shipped with lilypond-fonts in 2.22 but removed in 2.24.
    Thanks to Jonas Hahnfeld for finding the names of the needed font packages!

 -- Anthony Fok <foka@debian.org>  Fri, 03 Feb 2023 18:30:57 -0700
