=== debian/control ===
--- 
+++ 
@@ -29,6 +29,7 @@
                libfl-dev,
                libfontconfig-dev,
                libfreetype-dev,
+               libglib2.0-dev,
                libpango1.0-dev,
                m4,
                netpbm,
@@ -85,10 +86,12 @@
 
 Package: lilypond-data
 Architecture: all
-Depends: lilypond-fonts,
+Depends: fonts-urw-base35,
+         lilypond-fonts,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: lilypond (>= ${source:Version})
+Recommends: fonts-texgyre,
+            lilypond (>= ${source:Version})
 Breaks: ${python3:Breaks}
 Description: LilyPond music typesetter (data files)
  LilyPond is a music typesetter, an automated engraving system.  It
@@ -111,8 +114,7 @@
 Package: lilypond-doc
 Architecture: all
 Section: doc
-Depends: install-info,
-         ${misc:Depends}
+Depends: ${misc:Depends}
 Recommends: lilypond-doc-html,
             lilypond-doc-pdf
 Suggests: lilypond (>= ${source:Version})
@@ -130,8 +132,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: install-info,
-         ${misc:Depends}
+Depends: ${misc:Depends}
 Recommends: evince | pdf-viewer
 Suggests: lilypond (>= ${source:Version})
 Description: LilyPond PDF Documentation
@@ -144,8 +145,7 @@
 Package: lilypond-doc-html
 Architecture: all
 Section: doc
-Depends: install-info,
-         lilypond-doc,
+Depends: lilypond-doc,
          ${misc:Depends}
 Recommends: mozilla-browser | www-browser
 Suggests: lilypond (>= ${source:Version})
@@ -159,8 +159,7 @@
 Package: lilypond-doc-html-ca
 Architecture: all
 Section: doc
-Depends: install-info,
-         lilypond-doc-html,
+Depends: lilypond-doc-html,
          ${misc:Depends}
 Suggests: lilypond (>= ${source:Version})
 Description: LilyPond HTML Documentation in Catalan
@@ -173,8 +172,7 @@
 Package: lilypond-doc-html-cs
 Architecture: all
 Section: doc
-Depends: install-info,
-         lilypond-doc-html,
+Depends: lilypond-doc-html,
          ${misc:Depends}
 Suggests: lilypond (>= ${source:Version})
 Description: LilyPond HTML Documentation in Czech
@@ -187,8 +185,7 @@
 Package: lilypond-doc-html-de
 Architecture: all
 Section: doc
-Depends: install-info,
-         lilypond-doc-html,
+Depends: lilypond-doc-html,
          ${misc:Depends}
 Suggests: lilypond (>= ${source:Version})
 Description: LilyPond HTML Documentation in German
@@ -201,8 +198,7 @@
 Package: lilypond-doc-html-es
 Architecture: all
 Section: doc
-Depends: install-info,
-         lilypond-doc-html,
+Depends: lilypond-doc-html,
          ${misc:Depends}
 Suggests: lilypond (>= ${source:Version})
 Description: LilyPond HTML Documentation in Spanish
@@ -215,8 +211,7 @@
 Package: lilypond-doc-html-fr
 Architecture: all
 Section: doc
-Depends: install-info,
-         lilypond-doc-html,
+Depends: lilypond-doc-html,
          ${misc:Depends}
 Suggests: lilypond (>= ${source:Version})
 Description: LilyPond HTML Documentation in French
@@ -229,8 +224,7 @@
 Package: lilypond-doc-html-hu
 Architecture: all
 Section: doc
-Depends: install-info,
-         lilypond-doc-html,
+Depends: lilypond-doc-html,
          ${misc:Depends}
 Suggests: lilypond (>= ${source:Version})
 Description: LilyPond HTML Documentation in Hungarian
@@ -243,8 +237,7 @@
 Package: lilypond-doc-html-it
 Architecture: all
 Section: doc
-Depends: install-info,
-         lilypond-doc-html,
+Depends: lilypond-doc-html,
          ${misc:Depends}
 Suggests: lilypond (>= ${source:Version})
 Description: LilyPond HTML Documentation in Italian
@@ -257,8 +250,7 @@
 Package: lilypond-doc-html-ja
 Architecture: all
 Section: doc
-Depends: install-info,
-         lilypond-doc-html,
+Depends: lilypond-doc-html,
          ${misc:Depends}
 Suggests: lilypond (>= ${source:Version})
 Description: LilyPond HTML Documentation in Japanese
@@ -271,8 +263,7 @@
 Package: lilypond-doc-html-nl
 Architecture: all
 Section: doc
-Depends: install-info,
-         lilypond-doc-html,
+Depends: lilypond-doc-html,
          ${misc:Depends}
 Suggests: lilypond (>= ${source:Version})
 Description: LilyPond HTML Documentation in Dutch
@@ -285,8 +276,7 @@
 Package: lilypond-doc-html-pt
 Architecture: all
 Section: doc
-Depends: install-info,
-         lilypond-doc-html,
+Depends: lilypond-doc-html,
          ${misc:Depends}
 Suggests: lilypond (>= ${source:Version})
 Description: LilyPond HTML Documentation in Portuguese
@@ -299,8 +289,7 @@
 Package: lilypond-doc-html-zh
 Architecture: all
 Section: doc
-Depends: install-info,
-         lilypond-doc-html,
+Depends: lilypond-doc-html,
          ${misc:Depends}
 Suggests: lilypond (>= ${source:Version})
 Description: LilyPond HTML Documentation in Chinese
@@ -314,8 +303,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: install-info,
-         ${misc:Depends}
+Depends: ${misc:Depends}
 Recommends: evince | pdf-viewer
 Suggests: lilypond (>= ${source:Version})
 Description: LilyPond PDF Documentation in Catalan
@@ -329,8 +317,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: install-info,
-         ${misc:Depends}
+Depends: ${misc:Depends}
 Recommends: evince | pdf-viewer
 Suggests: lilypond (>= ${source:Version})
 Description: LilyPond PDF Documentation in German
@@ -344,6 +331,13 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: install-info,
-         ${misc:Depends}
+Depends: ${misc:Depends}
 Recommends: evince | pdf-viewer
+Suggests: lilypond (>= ${source:Version})
+Description: LilyPond PDF Documentation in Spanish
+ LilyPond is a music typesetter, an automated engraving system.  It
+ produces beautiful sheet music using a high level description file as input.
+ .
+ This package contains the PDF documentation in Spanish for the
+ LilyPond music typesetting software.
+
