=== debian/rules ===
--- 
+++ 
@@ -40,6 +40,9 @@
 	./autogen.sh --noconfigure
 	dh_auto_configure -- --disable-checking --enable-debugging $(config_opt)
 
+execute_after_dh_auto_build-arch:
+	$(MAKE) bytecode
+
 execute_after_dh_auto_build-indep:
 	$(MAKE) $(DOC_OPTIONS) doc
 
@@ -58,9 +61,10 @@
 ## install the documentation, which we don't care about for the
 ## architecture dependent build
 override_dh_auto_install-arch:
-	for dir in `echo */*makefile|xargs -n 1 dirname|grep -v Documentation`; do \
+	for dir in `echo */*makefile | xargs -n 1 dirname | grep -v Documentation`; do \
 		$(MAKE) --no-builtin-rules PACKAGE=LILYPOND package=lilypond -C $$dir install $(DOC_OPTIONS) prefix=$(CURDIR)/debian/tmp/usr; \
 	done
+	$(MAKE) --no-builtin-rules PACKAGE=LILYPOND package=lilypond -C scm install-bytecode $(DOC_OPTIONS) prefix=$(CURDIR)/debian/tmp/usr; \
 
 ## We need the non-Documentation arch-independent files installed by
 ## the arch-dependent "$(MAKE) install" too, hence the dependency
@@ -109,6 +113,12 @@
 override_dh_compress:
 	dh_compress -X.ly -X.pdf
 
+override_dh_dwz-arch:
+	dh_dwz -a -X/ccache/lily/
+
+override_dh_strip-arch:
+	dh_strip -a -X/ccache/lily/
+
 execute_after_dh_installdocs:
 	for a in $(wildcard $(CURDIR)/debian/*.doc-base-special); do \
 		package=`basename $$a .doc-base-special`; \
