=== debian/tests/control ===
Tests: test-suite
Depends: autoconf,
         build-essential,
         dblatex,
         guile-2.2-dev,
         extractpdfmark,
         fonts-linuxlibertine,
         imagemagick-6.q16,
         libfontconfig-dev,
         libglib2.0-dev,
         libpango1.0-dev,
         lilypond,
         python3,
         rsync,
         texi2html,
         texinfo,
         texlive-latex-base,
         zip
Restrictions: allow-stderr
