## lilypond 2.24.2

=== debian/changelog ===
lilypond (2.24.2-1) unstable; urgency=medium

  * New upstream version 2.24.2 (Closes: #1052485)
  * Rename 0003-Hurd-PATH_MAX.patch to 0001-Hurd-PATH_MAX.patch
  * Apply upstream patch to fix error with ghostscript 10.02.1.
    Backport "Don't use the `finddevice` operator in intermediate Postscript
    output" by Werner Lemberg with code from Ken Sharp so that LilyPond
    builds and works with ghostscript again. The `finddevice` Postscript
    command was removed in the ghostscript 10.02.1 security release.
    For more information, see:
    - https://bugs.ghostscript.com/show_bug.cgi?id=707307
    - https://gitlab.com/lilypond/lilypond/-/issues/6675
    - https://gitlab.com/lilypond/lilypond/-/merge_requests/2160

 -- Anthony Fok <foka@debian.org>  Sun, 12 Nov 2023 16:29:27 -0700
